GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/amd64-dicos-tdep.c File Reference
`#include "defs.h"`
`#include "osabi.h"`
`#include "amd64-tdep.h"`
`#include "x86-xstate.h"`
`#include "dicos-tdep.h"`

Go to the source code of this file.

## Functions
static void | amd64_dicos_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
static enum gdb_osabi | amd64_dicos_osabi_sniffer (bfd *abfd)
void | _initialize_amd64_dicos_tdep (void)

## Function Documentation

## ◆ _initialize_amd64_dicos_tdep()

void _initialize_amd64_dicos_tdep | ( | void |  | ) |

Definition at line 50 of file amd64-dicos-tdep.c.

References amd64_dicos_init_abi(), amd64_dicos_osabi_sniffer(), GDB_OSABI_DICOS, gdbarch_register_osabi(), and gdbarch_register_osabi_sniffer().

## ◆ amd64_dicos_init_abi()

static void amd64_dicos_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 27 of file amd64-dicos-tdep.c.

References amd64_init_abi(), amd64_target_description(), dicos_init_abi(), and X86_XSTATE_SSE_MASK.

Referenced by _initialize_amd64_dicos_tdep().

## ◆ amd64_dicos_osabi_sniffer()

static enum gdb_osabi amd64_dicos_osabi_sniffer | ( | bfd * | abfd | ) |
| static

Definition at line 36 of file amd64-dicos-tdep.c.

References dicos_load_module_p(), GDB_OSABI_DICOS, GDB_OSABI_UNKNOWN, and target_name.

Referenced by _initialize_amd64_dicos_tdep().